#include "scroller.h"

void Show(char **lines, int len){
	printf("+=========\n");
	for(int i=0; i<= len; i++)
		printf("Line #%d/%d: %s\n", i, len, lines[i]);
	printf("+=========\n");
}

int main(char *argv, int argc){
	printf("start...\n");fflush(stdout);
	cCcScroller scroller;
	scroller.SetWindow(32,2);
	
	scroller.AddText("1234567890");
	scroller.AddText("1234567890");
	scroller.AddText("1234567890");
	scroller.AddText("1234567890");
	Show(scroller.GetLines(), scroller.CountLines());
	scroller.Backspace();
	scroller.Backspace();
	scroller.Backspace();
	scroller.AddText("ABCDEFGH");
	Show(scroller.GetLines(), scroller.CountLines());
	scroller.Backspace();
	scroller.Backspace();
	scroller.Backspace();
	scroller.Backspace();
	scroller.Backspace();
	scroller.Backspace();
	scroller.Backspace();
	scroller.Backspace();
	scroller.Backspace();
	scroller.Backspace();
	scroller.Backspace();
	scroller.Backspace();
	Show(scroller.GetLines(), scroller.CountLines());
	scroller.AddText("ILJKLMNOPQRSTUVXYZ");
	Show(scroller.GetLines(), scroller.CountLines());
	/*
	for(int i=0; i<100; i++){
		printf("I%d\n", i);
		scroller.AddText("1234567890");
		scroller.Show();
	}*/
		
	return 0;
}
